MyRuLib: свободная (бесплатная и открытая) программа для 
организации домашней библиотеки (коллекции) электронных книг.

==== Версия 0.29.16 (03.09.2013 г.) ====
Исправление ошибок:
* Ошибка сегментирования после применения диалога настроек.

==== Версия 0.29.15 (16.08.2013 г.) ====
Обновления сторонних библиотек:
* SQLite3 обновлена до версии 3.7.17
* wxSQLite3 обновлена до версии 3.0.3
* Используется оригинальная wxSQLite3 без патчей.

==== Версия 0.29.14 (21.07.2013 г.) ====
Доработки и исправление ошибок:
* Компиляция программы для MacOS с поддержкой CREngine.
* Ошибка компоновки MyRuLibCR c библиотеками: libjpeg, libpng.

==== Версия 0.29.13 (21.07.2013 г.) ====
Доработки и исправление ошибок:
* Простая компиляция программы для MacOS.
* Размер кнопок панели инструментов изменен на стандартный.
* Исправлена ошибка при открытии вкладок в ArchLinux.

==== Версия 0.29.12 (15.01.2013 г.) ====
Исправление ошибок:
* Непредсказуемое удаление книг при объединении авторов.
* Ошибки при сортировке списка серий по количеству книг.
* Начальные и конечные пробелы в имени автора и серии при импорте.

==== Версия 0.29.11 (12.10.2012 г.) ====
Исправление ошибок:
* Главное меню не работало для некоторых видов вкладок.

==== Версия 0.29.10 (11.10.2012 г.) ====
Доработки и расширение функционала:
* В списке книг можно скопировать ссылки на файлы онлайн библиотеки.
* Настройка параметров транслитерации непосредственно при экспорте.
Исправление ошибок:
* Ошибка при замене, объединении авторов.
* Не работала кнопка закрытия вкладки. 

==== Версия 0.29.9 (30.06.2012 г.) ====
Доработки и расширение функционала:
* Изменен внешний вид полей для поиска: добавлена кнопка очистки.
* Добавлна настройка максимальной длинны информации о файле.
Исправление ошибок:
* Зависание программы при нажатии CTRL+A в окне для поиска.

==== Версия 0.29.8 (07.06.2012 г.) ====
Исправление ошибок:
* Повторная закачка при открытии уже скачанной книги.

==== Версия 0.29.7 (05.06.2012 г.) ====
Исправление ошибок:
* Зависание программы при изменении параметров библиотеки.
* Отображение информации из FBD файлов.

==== Версия 0.29.6 (04.06.2012 г.) ====
Доработки и исправление ошибок:
* В диалог экспорта добавлен выбор структуры папок и файлов.
* Исправлена ошибка сортировки древовидных списоков.
* Полнотекстовый поиск теперь не делает различия между буквами Е и Ё.

==== Версия 0.29.5 (16.03.2012 г.) ====
Доработки и расширение функционала:
* Редактирование свойств книги: заголовок, авторы, серии, жанры, аннотация.
Доработки интерфейса версии для Windows:
* Стандартное контекстное меню для файлов IContextMenu.

==== Версия 0.29.4 (07.03.2012 г.) ====
Доработки и исправление ошибок:
* После завершения процедуры импорта обновляется алфавит и список авторов.
Доработки интерфейса версии для Windows:
* Для временных файлов используется WinINet Cach.
* Добавлен пункт контекстного меню "Показать в папке".

==== Версия 0.29.3 (28.02.2012 г.) ====
Исправление ошибок:
* При любых настройках не открывался встроенный CoolReader3.
* Не отображались записи баз данных созданых в предыдущей версии.

==== Версия 0.29.2 (27.02.2012 г.) ====
Доработки и исправление ошибок:
* Количество книг по авторам, сериям, жанрам расчитывается с учетом фильтра.
* Возможность отображения удаленных книг для онлайн бибилотек.
* Гиперссылки на файлы в окне предварительного просмотра.
* Просмотр аннотации и обложки для EPUB файлов.
* Переделаны процедуры импорта и чтения файлов.

==== Версия 0.28.15 (10.02.2012 г.) ====
Доработки и исправление ошибок:
* Исправлена ошибка в параметрах библиотеки. 

==== Версия 0.28.14 (09.02.2012 г.) ====
Доработки и исправление ошибок:
* Настройка шаблона адресной строки для скачивания в параметрах библиотеки.

==== Версия 0.28.13 (18.01.2012 г.) ====
Доработки и исправление ошибок:
* Для парсинга XML-файлов может использоваться библиотека LIBXML2.
* Исправлена ошибка в настройках при изменении программы просмотра файлов.

==== Версия 0.28.12 (04.01.2012 г.) ====
Доработки и исправление ошибок:
* Используя кнопку CTRL можно открыть две однотипные вкладки.
* Дополнительные опции в настройках программы.

==== Версия 0.28.11 (16.11.2011 г.) ====
Расширение функционала:
* Экспериментальная поддержка импорта файлов EPUB.
Доработки и исправление ошибок:
* В полнотекстовом поиске игнорируются знаки препинания, кавычки.

==== Версия 0.28.10 (08.11.2011 г.) ====
Доработки и исправление ошибок:
* Исправлена ошибка SQL при построении иерархического списка.
* Добавлены кодировки ISO 8859-X для XML-парсера FAXPP.

==== Версия 0.28.9 (15.08.2011 г.) ====
Доработки и исправление ошибок:
* При входе в программу восстанавливаются последние настройки фильтра.
* При построении индекса полнотекстового поиска обновляется алфавит.

==== Версия 0.28.8 (15.07.2011 г.) ====
Доработки и исправление ошибок:
* Полнотекстовый поиск поддерживает фразовые запросы, запросы NEAR, операторы AND, OR, NOT
* Прокрутка списков вращением колесика мыши при отсутствии фокуса ввода (для Win32)
* Копирование в буфер обмена выделенного текста из встроенного CoolReader3
* Исправлена сортировка списков для Linux

==== Версия 0.28.7 (08.07.2011 г.) ====
Доработки и расширение функционала:
* Древовидный рубрикатор для библиотеки Genesis
* Отдельный пункт для CoolReader3 в главном меню
* Поддержка кодировок Windows-1250..1257, KOI8 при импорте FB2

==== Версия 0.28.6 (26.06.2011 г.) ====
Исправление ошибок:
* Инициализация и настройка шрифтов встроенного CoolReader3
* Ошибка при показе статус-строки

==== Версия 0.28 (24.06.2011 г.) ====
Доработки и расширение функционала:
* Количество книг в списке авторов, серий и т.д. пересчитывается динамически
* Главное меню программы приведено к стандартному виду: «Файл», «Правка» и т.д.
* Дополнительные опции при открытии коллекции, а также при импорте директории
* Прерывание продолжительных операций с базой данных
* Вкладки реализованы без использования классов wxMDIParentFrame и wxMDIChildFrame
* Переход между полями формы с помощью клавиши табуляции
* Настройка количества знаков для форматирования номера при экспорте
* Возможно использование системного журнала syslog
* Текстовый лог внизу главного окна заменен на строчный
* Строка статуса по умолчанию скрыта, отображается соответствующим пунктом меню
Исправление ошибок:
* Ошибка обновления меню при переключении вкладок версии для Linux
* Ошибка загрузки файлов библиотеки Genesis

==== Версия 0.27 (27.04.2011 г.) ====
Доработки и расширение функционала:
* Возможность при запуске программы скачать готовую коллекцию.
* Копирование списка книг в буфер обмена.
* Поддержка библиотеки Траума.
* Для парсинга FB2 файлов используется FAXPP (по умолчанию) или Expat (выбор при компиляции).
* Изменение ширины колонок в таблицах.
* Контекстное меню и копирование текста в буфер обмена в окне предварительного просмотра
* Поддержка базовой авторизации на прокси-сервере
* Перетаскивание вкладок, можно располагать на экране несколько вкладок одновременно

==== Версия 0.26 (15.01.2011 г.) ====
Доработки и расширение функционала:
* Инкрементное обновление коллекции через интернет.
* Находящиеся локально (скачанные и пользовательские) книги отличаются по цвету от не скачанных.
* Во вкладке «Авторы» вместо панели кнопок с алфавитами теперь выпадающее окно с буквами.
* Поддержка формата bzip2 при экспорте файлов.
* Поддержка библиотеки Library Genesis

==== Версия 0.24 (13.07.2010 г.) ====
Доработки и расширение функционала:
* Окно открытия коллекции позволяет произвести дополнительное сканирование.
* Дополнительные колонки «Дата», «Идентификатор», «Дата скачивания» и прочие.
* Настройка видимости и порядка колонок приозводится индивидуально для каждой вкладки.
* При экспорте имя файла задается через произвольный пользовательский шаблон.
* Произведена полная замена wxTreeListCtrl на wxDataViewCtrl.
Исправление ошибок:
* Исправлен алфавит в версии для MacOS.

==== Версия 0.23 (17.06.2010 г.) ====
Расширение функционала:
* Добавлена вкладка «Календарь», где книги отбираются по дате добавления в коллекцию.
* Отрытые вкладки сохраняются и восстанавливаются при следующем входе в программу.
* Список авторов строится без ограничения на число элементов.
Исправление ошибок:
* Ошибка при экспорте книг для конвертации в другие форматы через скрипты.

==== Версия 0.22 (27.05.2010 г.) ====
Расширение функционала:
* Использование скриптов при экспорте книг для конвертации в другие форматы.
* Выполнен перевод интерфейса программы на чешский и шведский языки.
* Настройки программ для просмотра можно хранить в параметрах библиотеки.

==== Версия 0.21 (31.03.2010 г.) ====
Исправление ошибок:
* Ошибка чтения файла при открытии книг во внешней программе.

==== Версия 0.20 (01.03.2010 г.) ====
Расширение функционала:
* Перевод интерфейса на английский, украинский, белорусский.

==== Версия 0.19 (09.02.2010 г.) ====
Мелкие доработки:
* Возросла скорость поиска за счет использования SQLite FTS3 Extension.
* На вкладке «Серии» изменен порядок полей в древовидном списке: Серия, Автор, Наименование.
* Отключение каждого из алфавитов на вкладке «Авторы» из меню «Вид».
* Для файлов из меню «Открыть повторно» в статус-строке отображается название библиотеки.
* Смена дизайна ярлыков вкладок (три варианта на выбор пользователя).
* На странице авторов добавлена кнопка «звездочка» [ * ] для отображения всех авторов.
* Настройка для ограничения максимального числа элементов в списках.
* Опционально возможно сохранение абсолютных путей к файлам при импорте.
* Цвета шрифта и фона в окне просмотра книги соответствуют системным настройкам.
* Простое обновление списка после окончания редактирования автора или серии.
* Отдельный диалог для настройки видимости колонок, доступный из меню «Вид».
* В авторах теперь не отображается колонка автор, в жанрах - жанр.
* Отключение окна просмотра книги.
Изменилось поведение временных файлов для чтения во внешних программах:
* Файлы теперь создаются в папке пользователя, по умолчанию: ~/.config/myrulib/local.
* Имя файла равно его сумме MD5 (плюс расширение), то есть не меняется каждый раз.
* В настройках можно отключить удаление файлов при выходе из программы.

==== Версия 0.18 (20.01.2010 г.) ====
Интеграция с библиотекой [http://flibusta.net Флибуста].
* Настройки интернет-сайта перенесены из параметров программы в свойства коллекции.
* В настройках скачивания добавлены имя пользователя и пароль.
* Просмотр информации об авторе и аннотации (если таковые имеются).
* Из контекстного меню списка можно открыть в интернет-браузере страницу автора и книги.
Мелкие доработки:
* При попытке открыть книгу, которая отсутствует локально, выдается запрос на ее скачивание. 
* Возможность фильтрации по языку и типу файла.
* В списке книг добавлена колонка «Язык».
* Сохранение в настройках выбранной буквы в списке авторов.
* Исправлена ошибка в процедуре экспорта файлов (лишний пробел в конце имени автора).
* Удаление файлов при удалении книг из коллекции.

==== Версия 0.17 (24.12.2009 г.) ====
Расширение функционала:
* В списке серий (через контекстное меню): добавление, редактирование, удаление и объединение.
* В таблицу со списком книг добавлена колонка «Жанр».
* Возможность изменять видимость колонок в списке книг.
* Полноэкранный режим по кнопке F11.
Исправление ошибок:
* Исправлена ошибка, связанная с работой горячих клавиш меню в Linux.

==== Версия 0.16 (06.12.2009 г.) ====
Переделана функция поиска книг и авторов:
* Поиск теперь не зависит от порядка слов.
* Звездочка ( * ) и вопрос ( ? ) используются как символы подстановки.
* Поиск осуществляется так, как будто в конце каждого слова стоит звездочка.
* Поиск книги по названию осуществляется с учетом текста, введенного в окно для поиска автора.
Расширение функционала:
* Возможность менять сортировку списка авторов.
* В списке авторов (через контекстное меню): добавление, редактирование, удаление и объединение авторов.
* В списке книг (через контекстное меню) реализовано удаление книг.
* Вкладка с сериями.
Мелкие доработки:
* При выборе файла в диалоге открытия коллекции имя файла дополняется расширением « *.db ».

==== Версия 0.15 (26.11.2009 г.) ====
Расширение функционала:
* Выбор коллекции при первом открытии программы и переключение между коллекциями.
* Поддержка формата FBD для импорта пользовательских файлов.
Мелкие доработки:
* Скорректированы имена файлов при экспорте книг без транслита.
* Если в папке с исполняемым файлом программы имеется файл настроек <tt>myrulib.cfg</tt>, то используются он.

==== Версия 0.14 (17.11.2009 г.) ====
Расширение функционала:
* При отсутствии аннотации выводятся первые несколько абзацев. 
* Изменение порядка сортировки в списке книг.
* Изменение размера шрифта интерфейса.
* Колонка с количеством книг в списке авторов.
Мелкие доработки:
* Горячие клавиши на вкладке «Избранное» раньше не работали в Linux. 
* Скачанные книги распределяются по папкам: ~/.config/myrulib/download/f2/55/9c/d481e35c7b68d484d935f15098.zip
* Сохранение размеров окна при выходе из программы.

==== Версия 0.13 (08.11.2009 г.) ====
Расширение функционала:
* При импорте сохраняются только относительные пути файлов.
Мелкие доработки:
* Исправлена ошибка импорта серий.

==== Версия 0.12 (07.11.2009 г.) ====
Расширение функционала:
* Очередь загрузки файлов вынесена в отдельную вкладку.
* Готовые загрузки по умолчанию хранятся в папке <tt>~/.config/myrulib/download</tt>.
Мелкие доработки:
* Исправлена ошибка скачивания не fb2 файлов и другие мелкие ошибки.

==== Версия 0.11 (23.10.2009 г.) ====
Расширение функционала:
* Скачивание книг lib.rus.ec через интернет по запросу.
* Поиск по названию теперь не зависит от порядка слов.
* Рейтинг книги.
Мелкие доработки:
* На вкладке «Мои папки» добавлены закачки, рейтинги и комментарии.
* Параметры библиотеки отделены от настроек программы.
* Иконка типа файла в окне информации (для файлов не fb2). 
* Отображение ISBN в окне информации о книге (только для fb2).
* В окне правки комментариев значки вместо надписей «изменить» и «удалить».

==== Версия 0.10 (16.10.2009 г.) ====
Расширение функционала:
* Пользователь теперь может добавлять свои комментарии.
* Простейший фильтр по типу файла и принадлежности к Либрусек.
* Краткая информация о коллекции.
* Быстрый переход от книги к автору.
Мелкие доработки:
* Отображение соавторов в окне поиска по автору для простого списка.

==== Версия 0.09 (06.10.2009 г.) ====
Расширение функционала:
* Выбор режима просмотра книг: простой список или дерево по авторам и сериям. 
* Добавлена вкладка «Избранное» и работа с папками пользователя.
Мелкие доработки:
* Локальные настройки теперь хранятся в файле <tt>~/.config/myrulib/myrulib.cfg</tt>.

==== Версия 0.08 (30.09.2009 г.) ====
Расширение функционала:
* Реализован поиск по жанрам.
Мелкие доработки:
* Вместо алгоритма SHA-1 теперь используется MD5, что позволяет импортировать контрольную сумму файлов напрямую из базы данных Librusec.
* При импорте директории имя файла разбивается на базовую часть и относительный путь (для библиотеки Траума).
* Вместо библиотеки DatabaseLayer теперь используется wxSQLite3.

==== Версия 0.07 (14.09.2009 г.) ====
Доработка и расширение функционала:
* Переход на MDI-интерфейс: внешний вид кардинально изменен.
* Реализован простой полнотекстовый поиск по названиям книг.
* В окне информации о книге отображается имя файла (и все варианты для дублей).
* Выпадающее меню с основными функциями на списке книг.
* Увеличена информативность Log-файлов при импорте
* Переделан диалог и процедура экспорта книг.
* Ограничена максимальная ширина картинки в окне информации о книге.
Исправлены ошибки:
* Каталог с базой теперь находится в папке ~/.config.
* Исправлено  отображение панели инструментов при запуске программы для Win32 в Linux среде Wine.
* Обработка Fb2 файлов с русскими именами в архивах ZIP
Нерешенные проблемы релиза:
* Версия для Windows не поддерживает файлы (архивы) размером больше 2 Gb.
* Отсутствие возможности импорта не Fb2-файлов.

==== Версия 0.06 (05.09.2009 г.) ====
Доработка и расширение функционала:
* Обработка ошибок с отображением информации в поддоне программы и записью в лог-файл.
Исправлены ошибки:
* Утечка памяти при импорте файлов в библиотеку.
* Отсутствие возможности добавить Zip-файл с именем в верхнем регистре.
* Отсутствие возможности добавить отдельный Fb2-файл (не zip).
Нерешенные проблемы релиза:
* Версия для Windows не поддерживает файлы (архивы) размером больше 2 Gb.
* Не реализован функционал вкладок «Поиск» и «Избранное».
* Отсутствие возможности импорта не Fb2-файлов.
* Не работает фильтр содержимого.

==== Версия 0.05 (31.08.2009 г.) ====
Доработка и расширение функционала:
* Для дубликатов книг сохраняется их местоположение
* Наименование исполняемого файла программы приведено к нижнему регистру.
* Обработка параметров при запуске программы
* Работа не только с Fb2-файлами библиотеки LibRusEc, но и со всеми остальными (djvu, pdf, и т.д.).
* В окне «О программе…» можно посмотреть путь к файлу открытой базы данный.
Проблемы релиза:
* Утечки памяти при импорте файлов в библиотеку.
* Отсутствие возможности импорта не Fb2-файлов.
* Версия для Windows не поддерживает файлы (архивы) размером больше 2 Gb.

==== Версия 0.04 (21.08.2009 г.) ====
Доработка и расширение функционала:
* Исключение дублирования книг (сравнение размера файлов, затем подсчет хеш-суммы)
* Вместо регистрации файлов вида fb2-000024-030559.zip и usr-091400-101860.zip реализован автопоиск в каталоге библиотеки.
* Ежедневное обновление коллекции книг LibRusEc на сайте http://www.lintest.ru/myrulib/current/
Исправлены ошибки:
* Если ZIP содержит папки, то файлы внутри папок хотя и импортируются, но потом не извлекаются при просмотре.

==== Версия 0.03 (16.08.2009 г.) ====
* Ускорен импорт файлов в библиотеку за счет использования транзакций. 
* Сборка проекта без Code::Blocks через make-файлы.

==== Версия 0.02 (15.08.2009 г.) ====
* Импорт файлов из каталога, где в древовидной структуре лежит много fb2.zip или fb2. 

==== Версия 0.01 (02.07.2009 г.) ====
* Базовая функциональность.
